"use strict";
/**
 * This file is part of the ego-cli distribution.
 * Copyright (c) e.GO Digital GmbH, Aachen, Germany (https://www.e-go-digital.com/)
 *
 * ego-cli is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * ego-cli is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandBase = exports.STORAGE_FILE = exports.REGEX_COMMAND_NAME = exports.EGO_FOLDER = void 0;
/**
 * The name of an ego (sub)folder.
 */
exports.EGO_FOLDER = '.ego';
/**
 * Regular expression for testing for a valid command name.
 */
exports.REGEX_COMMAND_NAME = /^([a-z0-9]|\-){1,}$/i;
/**
 * The name of the storage file.
 */
exports.STORAGE_FILE = '.storage';
/**
 * A basic command.
 */
class CommandBase {
    constructor() {
        /** @inheritdoc */
        this.syntax = '[options]';
    }
}
exports.CommandBase = CommandBase;
//# sourceMappingURL=contracts.js.map